import { 
    AnglerfishSpawnEggs,
    BeetleSpawnEggs,
    BudgieSpawnEggs,
    ButterflySpawnEggs,
    ClamSpawnEggs,
    CoyoteSpawnEggs,
    CrabSpawnEggs,
    DeerSpawnEggs,
    DragonflySpawnEggs,
    FennecFoxSpawnEggs,
    GiantIsopodSpawnEggs,
    GiantSalamanderSpawnEggs,
    GooseSpawnEggs,
    GorillaSpawnEggs,
    HamsterSpawnEggs,
    HedgehogSpawnEggs,
    IguanaSpawnEggs,
    JellyfishSmallSpawnEggs,
    JellyfishSpawnEggs,
    LizardSpawnEggs,
    MonkeySpawnEggs,
    OctopusSpawnEggs,
    OwlSpawnEggs,
    PlatypusSpawnEggs,
    RatSpawnEggs,
    RaySpawnEggs,
    SealSpawnEggs,
    SkunkSpawnEggs,
    SlugSpawnEggs,
    SquirrelSpawnEggs,
    StarfishSpawnEggs,
    TigerSpawnEggs,
    TortoiseSpawnEggs,
    ToucanSpawnEggs,
    TreeFrogSpawnEggs
  } from '../item/SpawnEggItems.js';
import { AbstractSpawnEggEntity as SpawnEggEntity } from './AbstractSpawnEggEntity.js';
new SpawnEggEntity('sf_nba:anglerfish', AnglerfishSpawnEggs);
new SpawnEggEntity('sf_nba:beetle', BeetleSpawnEggs);
new SpawnEggEntity('sf_nba:budgie', BudgieSpawnEggs);
new SpawnEggEntity('sf_nba:butterfly', ButterflySpawnEggs);
new SpawnEggEntity('sf_nba:clam', ClamSpawnEggs);
new SpawnEggEntity('sf_nba:coyote', CoyoteSpawnEggs);
new SpawnEggEntity('sf_nba:crab', CrabSpawnEggs);
new SpawnEggEntity('sf_nba:deer', DeerSpawnEggs);
new SpawnEggEntity('sf_nba:dragonfly', DragonflySpawnEggs);
new SpawnEggEntity('sf_nba:fennec_fox', FennecFoxSpawnEggs);
new SpawnEggEntity('sf_nba:giant_isopod', GiantIsopodSpawnEggs);
new SpawnEggEntity('sf_nba:giant_salamander', GiantSalamanderSpawnEggs);
new SpawnEggEntity('sf_nba:goose', GooseSpawnEggs);
new SpawnEggEntity('sf_nba:gorilla', GorillaSpawnEggs);
new SpawnEggEntity('sf_nba:hamster', HamsterSpawnEggs);
new SpawnEggEntity('sf_nba:hedgehog', HedgehogSpawnEggs);
new SpawnEggEntity('sf_nba:iguana', IguanaSpawnEggs);
new SpawnEggEntity('sf_nba:small_jellyfish', JellyfishSmallSpawnEggs);
new SpawnEggEntity('sf_nba:jellyfish', JellyfishSpawnEggs);
new SpawnEggEntity('sf_nba:lizard', LizardSpawnEggs);
new SpawnEggEntity('sf_nba:monkey', MonkeySpawnEggs);
new SpawnEggEntity('sf_nba:octopus', OctopusSpawnEggs);
new SpawnEggEntity('sf_nba:owl', OwlSpawnEggs);
new SpawnEggEntity('sf_nba:platypus', PlatypusSpawnEggs);
new SpawnEggEntity('sf_nba:rat', RatSpawnEggs);
new SpawnEggEntity('sf_nba:ray', RaySpawnEggs);
new SpawnEggEntity('sf_nba:seal', SealSpawnEggs);
new SpawnEggEntity('sf_nba:skunk', SkunkSpawnEggs);
new SpawnEggEntity('sf_nba:slug', SlugSpawnEggs);
new SpawnEggEntity('sf_nba:squirrel', SquirrelSpawnEggs);
new SpawnEggEntity('sf_nba:starfish', StarfishSpawnEggs);
new SpawnEggEntity('sf_nba:tiger', TigerSpawnEggs);
new SpawnEggEntity('sf_nba:tortoise', TortoiseSpawnEggs);
new SpawnEggEntity('sf_nba:toucan', ToucanSpawnEggs);
new SpawnEggEntity('sf_nba:tree_frog', TreeFrogSpawnEggs);